import { ReactElement } from "react";

import SidebarProvider from "compendium/providers/SidebarProvider";
import UserProvider from "compendium/providers/UserProvider";
import FilterSelectionProvider from "compendium/providers/FilterSelectionProvider";
import ChartContainerProvider from "compendium/providers/ChartContainerProvider";
import PreviewProvider from "compendium/providers/PreviewProvider";
import NrenProvider from "compendium/providers/NrenProvider";
import MatomoProvider from "compendium/matomo/MatomoProvider";
import ConsentProvider from "compendium/providers/ConsentProvider";
import ConfigProvider from "compendium/providers/ConfigProvider";

function Providers({ children }): ReactElement {
    return (
        <ConfigProvider>
            <ConsentProvider>
                <MatomoProvider>
                    <SidebarProvider>
                        <UserProvider>
                            <FilterSelectionProvider>
                                <ChartContainerProvider>
                                    <PreviewProvider>
                                        <NrenProvider>
                                            {children}
                                        </NrenProvider>
                                    </PreviewProvider>
                                </ChartContainerProvider>
                            </FilterSelectionProvider>
                        </UserProvider>
                    </SidebarProvider>
                </MatomoProvider>
            </ConsentProvider>
        </ConfigProvider>
    );
}

export default Providers;
