interface ColorPillProps {
  year: number;
  active: boolean;
  tooltip?: string;
  rounded?: boolean;
}

function ColorPill({ year, active, tooltip, rounded = false }: ColorPillProps) {
  const pillStyle = {
    width: rounded ? "30px" : "75px",
    height: "30px",
    margin: "2px"
  };
  return (
    <div className="d-inline-block" key={year}>
      {active && tooltip ? (
        <div
          className={`rounded-pill bg-color-of-the-year-${year % 9} bottom-tooltip pill-shadow`}
          style={pillStyle}
          data-description={`${year}: ${tooltip}`}
        ></div>
      ) : active ? (
        <div
          className={`rounded-pill bg-color-of-the-year-${year % 9} bottom-tooltip-small`}
          style={pillStyle}
          data-description={year}
        ></div>
      ) : (
        <div
          className={`rounded-pill bg-color-of-the-year-blank`}
          style={pillStyle}
        ></div>
      )}
    </div>
  );
}

export default ColorPill;