import { Link } from "react-router-dom";
import LinkWithHighlight from 'compendium/components/LinkWithHighlight';
import titles from "compendium/titles";

export default function ConnectedUsersLinks({ sidebar = false }) {
    const LinkComponent = sidebar ? LinkWithHighlight : Link;
    const classNames = sidebar ? "" : "link-text-underline";

    return (<>
        {sidebar && <h5>Connected Users</h5>}
        <h6 className="section-title">Connected Users</h6>
        <LinkComponent to="/institutions-urls" className={classNames}>
            <span>{titles["institutions-urls"]}</span>
        </LinkComponent>
        <LinkComponent to="/connected-proportion" className={classNames}>
            <span>{titles["connected-proportion"]}</span>
        </LinkComponent>
        <LinkComponent to="/connectivity-level" className={classNames}>
            <span>{titles["connectivity-level"]}</span>
        </LinkComponent>
        <LinkComponent to="/connection-carrier" className={classNames}>
            <span>{titles["connection-carrier"]}</span>
        </LinkComponent>
        <LinkComponent to="/connectivity-load" className={classNames}>
            <span>{titles["connectivity-load"]}</span>
        </LinkComponent>
        <LinkComponent to="/connectivity-growth" className={classNames}>
            <span>{titles["connectivity-growth"]}</span>
        </LinkComponent>
        <LinkComponent to="/remote-campuses" className={classNames}>
            <span>{titles["remote-campuses"]}</span>
        </LinkComponent>

        <hr className="fake-divider" />
        <h6 className="section-title">Connected Users - Commercial</h6>
        <LinkComponent to="/commercial-charging-level" className={classNames}>
            <span>{titles["commercial-charging-level"]}</span>
        </LinkComponent>
        <LinkComponent to="/commercial-connectivity" className={classNames}>
            <span>{titles["commercial-connectivity"]}</span>
        </LinkComponent>
    </>);
}
