import { Link } from "react-router-dom";
import LinkWithHighlight from 'compendium/components/LinkWithHighlight';
import titles from "compendium/titles";

export default function ServicesLinks({ sidebar = false }) {
    const LinkComponent = sidebar ? LinkWithHighlight : Link;
    const classNames = sidebar ? "" : "link-text-underline";

    return (<>
        {sidebar && <h5>Services</h5>}
        <LinkComponent to="/network-services" className={classNames}>
            <span>{titles["network-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/isp-support-services" className={classNames}>
            <span>{titles["isp-support-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/security-services" className={classNames}>
            <span>{titles["security-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/identity-services" className={classNames}>
            <span>{titles["identity-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/storage-and-hosting-services" className={classNames}>
            <span>{titles["storage-and-hosting-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/multimedia-services" className={classNames}>
            <span>{titles["multimedia-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/collaboration-services" className={classNames}>
            <span>{titles["collaboration-services"]}</span>
        </LinkComponent>
        <LinkComponent to="/professional-services" className={classNames}>
            <span>{titles["professional-services"]}</span>
        </LinkComponent>
    </>);
}
