export interface User {
    id: string,
    email: string,
    role: string,
    name: string,
    oidc_sub: string,
    nrens: string[],
    permissions: {
        admin: boolean,
        active: boolean,
    }
}

export interface Nren {
    id: string,
    name: string,
    country: string
}

export enum VerificationStatus {
    Unverified = "unverified",     // a question that has its answered copied from last year
    Verified = "verified",         // a question for which last years answer was verified
    Edited = "edited"              // a question for which last years answer was edited
}

export enum ResponseStatus {
    not_started = "not started",
    started = "started",
    completed = "completed"
}

export enum SurveyStatus {
    closed = "closed",
    open = "open",
    preview = "preview",
    published = "published"
}
