import { Survey } from 'compendium/survey/api/types';

export async function fetchSurveys(): Promise<Survey[]> {
    try {
        const response = await fetch('/api/survey/list');
        const userList = await response.json();
        return userList
    } catch {
        return [];
    }
}

export async function fetchActiveSurveyYear(): Promise<string> {
    try {
        const response = await fetch('/api/survey/active/year');
        const data = await response.json();
        if ('year' in data) {
            const year = data.year;
            return year.toString();
        } else {
            console.log('Invalid response format: Failed fetching active survey year.');
            return "";
        }
    } catch (error) {
        console.error('Failed fetching active survey year:', error);
        return "";
    }
}
