"""Add parent organization model

Revision ID: 23ff6e527796
Revises: c75984d47182
Create Date: 2023-04-21 12:21:40.201830

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '23ff6e527796'
down_revision = 'c75984d47182'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'parent_organization',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('organization', sa.String(length=128), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_parent_organization_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', name=op.f('pk_parent_organization'))
    )


def downgrade():
    op.drop_table('parent_organization')
