"""restore primary keys for budgets, charging_structure, and funding_source tables

Revision ID: 35a343afaf83
Revises: 2edefbaa9db4
Create Date: 2023-05-03 16:37:20.781024

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '35a343afaf83'
down_revision = '2edefbaa9db4'
branch_labels = None
depends_on = None


def upgrade():
    op.execute('DELETE FROM budgets;')
    op.execute('DELETE FROM charging_structure;')
    op.execute('DELETE FROM funding_source;')
    op.create_primary_key(None, 'budgets', ['nren_id', 'year'])
    op.create_primary_key(None, 'charging_structure', ['nren_id', 'year'])
    op.create_primary_key(None, 'funding_source', ['nren_id', 'year'])


def downgrade():
    op.drop_constraint('pk_funding_source', 'funding_source')
    op.drop_constraint('pk_charging_structure', 'charging_structure')
    op.drop_constraint('pk_budgets', 'budgets')
