"""Add SurveyNotes

Revision ID: 63dcec6b5b2a
Revises: 0b7eb2b8cdbe
Create Date: 2024-12-06 09:07:31.358288

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '63dcec6b5b2a'
down_revision = '0b7eb2b8cdbe'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'survey_notes',
        sa.Column('survey_year', sa.Integer(), nullable=False),
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('notes', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), nullable=False),
        sa.Column('updated_at', sa.DateTime(), nullable=False),
        sa.ForeignKeyConstraint(['survey_year', 'nren_id'], ['survey_response.survey_year',
                                'survey_response.nren_id'], name=op.f('fk_survey_notes_survey_year_survey_response')),
        sa.PrimaryKeyConstraint('survey_year', 'nren_id', name=op.f('pk_survey_notes'))
    )


def downgrade():
    op.drop_table('survey_notes')
