"""add preview year

Revision ID: d6f581374e8f
Revises: 96f26bf37f6c
Create Date: 2023-08-27 20:45:39.740091

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd6f581374e8f'
down_revision = '96f26bf37f6c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'preview_year',
        sa.Column('year', sa.Integer(), nullable=False),
        sa.PrimaryKeyConstraint('year', name=op.f('pk_preview_year'))
    )

    op.execute("UPDATE survey_response SET status = 'completed' WHERE status = 'checked'")

    op.execute("ALTER TYPE surveystatus RENAME TO surveystatus_old")
    op.execute("ALTER TYPE responsestatus RENAME TO responsestatus_old")

    op.execute("CREATE TYPE surveystatus AS ENUM ('closed', 'open', 'preview', 'published')")
    op.execute("CREATE TYPE responsestatus AS ENUM ('started', 'completed')")

    op.execute("ALTER TABLE survey ALTER COLUMN status TYPE surveystatus USING status::text::surveystatus")
    op.execute("ALTER TABLE survey_response ALTER COLUMN status TYPE responsestatus USING status::text::responsestatus")

    if op.get_context().dialect.name == 'postgresql':
        op.execute("DROP TYPE surveystatus_old")
        op.execute("DROP TYPE responsestatus_old")

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.execute("UPDATE survey SET status = 'published' WHERE status = 'preview'")

    op.execute("ALTER TYPE surveystatus RENAME TO surveystatus_old")
    op.execute("ALTER TYPE responsestatus RENAME TO responsestatus_old")

    op.execute("CREATE TYPE surveystatus AS ENUM ('closed', 'open', 'published')")
    op.execute("CREATE TYPE responsestatus AS ENUM ('started', 'completed', 'checked')")

    op.execute("ALTER TABLE survey ALTER COLUMN status TYPE surveystatus USING status::text::surveystatus")
    op.execute("ALTER TABLE survey_response ALTER COLUMN status TYPE responsestatus USING status::text::responsestatus")

    if op.get_context().dialect.name == 'postgresql':
        op.execute("DROP TYPE surveystatus_old")
        op.execute("DROP TYPE responsestatus_old")

    op.drop_table('preview_year')
    # ### end Alembic commands ###
